import request from '@/utils/request'

// 查询班级信息列表
export function listClazz(query) {
  return request({
    url: '/clazz/clazz/list',
    method: 'get',
    params: query
  })
}

// 查询班级信息详细
export function getClazz(clazzId) {
  return request({
    url: '/clazz/clazz/' + clazzId,
    method: 'get'
  })
}

// 新增班级信息
export function addClazz(data) {
  return request({
    url: '/clazz/clazz',
    method: 'post',
    data: data
  })
}

// 修改班级信息
export function updateClazz(data) {
  return request({
    url: '/clazz/clazz/'+data.clazzId,
    method: 'put',
    data: data
  })
}

// 删除班级信息
export function delClazz(clazzId) {
  return request({
    url: '/clazz/clazz/' + clazzId,
    method: 'delete'
  })
}
