import request from '@/utils/request'

// 查询小组管理列表
export function listGroup(query) {
  return request({
    url: '/group/group/list',
    method: 'get',
    params: query
  })
}

// 查询小组管理详细
export function getGroup(groupId) {
  return request({
    url: '/group/group/' + groupId,
    method: 'get'
  })
}

// 新增小组管理
export function addGroup(data) {
  return request({
    url: '/group/group',
    method: 'post',
    data: data
  })
}

// 修改小组管理
export function updateGroup(data) {
  return request({
    url: '/group/group/'+data.groupId,
    method: 'put',
    data: data
  })
}

// 删除小组管理
export function delGroup(groupId) {
  return request({
    url: '/group/group/' + groupId,
    method: 'delete'
  })
}
